TON CenterV3Accounts
applications/api/toncenter/v3/accounts/get-account-states
Query Parameters
address*array<string>
List of addresses in any form. Maximum 1000 addresses allowed.
include_boc?boolean
Include code and data BOCs. Default: true
Default
trueResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v3/accountStates?address=string"{
"accounts": [
{
"account_state_hash": "string",
"address": "string",
"balance": "string",
"code_boc": "string",
"code_hash": "string",
"contract_methods": [
0
],
"data_boc": "string",
"data_hash": "string",
"extra_currencies": {
"property1": "string",
"property2": "string"
},
"frozen_hash": "string",
"interfaces": [
"string"
],
"last_transaction_hash": "string",
"last_transaction_lt": "0",
"status": "string"
}
],
"address_book": {
"property1": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
},
"property2": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
}
},
"metadata": {
"property1": {
"is_indexed": true,
"token_info": [
{
"description": "string",
"extra": {},
"image": "string",
"name": "string",
"nft_index": "string",
"symbol": "string",
"type": "string",
"valid": true
}
]
},
"property2": {
"is_indexed": true,
"token_info": [
{
"description": "string",
"extra": {},
"image": "string",
"name": "string",
"nft_index": "string",
"symbol": "string",
"type": "string",
"valid": true
}
]
}
}
}{
"code": 0,
"error": "string"
}Last updated on